ubuntu/+source/mozvoikko:ubuntu/saucy

Last commit made on 2012-01-13
Get this branch:
git clone -b ubuntu/saucy https://git.launchpad.net/ubuntu/+source/mozvoikko
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/saucy
Repository:
lp:ubuntu/+source/mozvoikko

Recent commits

a21ffcf... by Chris Coulson on 2012-01-13

Import patches-unapplied version 2.0.1-0ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 5c5b68a0a8868ed40cc09f9ff8fa2c344a59cd4c

New changelog entries:
  * New upstream release 2.0.1
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed

5c5b68a... by Chris Coulson on 2012-01-03

Import patches-unapplied version 2.0-0ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: b4a416cfc40b7dd9c31352cce6ad629b1cc8d235

New changelog entries:
  * Drop debian/patches/port_to_latest_firefox.patch, as it just bumped
    the compatibility. This is no longer necessary without strictCompatibility
    in Firefox 10

b4a416c... by Chris Coulson on 2011-11-15

Import patches-unapplied version 2.0-0ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 3fe3cd4a93cb8af47261fe94ce48716ea1c2c573

New changelog entries:
  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Update debian/patches/port_to_latest_firefox to work with the current
    Firefox beta
  * Drop everything related to the old build system from debian/rules

3fe3cd4... by Chris Coulson on 2011-11-07

Import patches-unapplied version 1.10.0-0ubuntu3 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: b02a0cd87bf7311eaed341c9f9e918e169f6432d

New changelog entries:
  * Update for Firefox 8
    - refresh debian/patches/port_to_latest_firefox.patch

b02a0cd... by Chris Coulson on 2011-09-08

Import patches-unapplied version 1.10.0-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: fd523d463c80aed940fad572e48435c7c0ad098e

New changelog entries:
  * Update from SVN snapshot to latest stable release
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend

fd523d4... by Chris Coulson on 2011-08-25

Import patches-unapplied version 1.9.0~svn20101114r3591-0ubuntu6 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: dbc5a1d241a29d57086467c6b685b3a4c94ead58

New changelog entries:
  * Bump maxVersion to 7.* and rebuild against the latest beta
    - update debian/patches/port_to_latest_firefox.patch
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules

dbc5a1d... by Chris Coulson on 2011-07-18

Import patches-unapplied version 1.9.0~svn20101114r3591-0ubuntu5 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 7577bde01d45ea7a9dbc1f96c01c11b32d3e3c0a

New changelog entries:
  * Rebuild against Firefox 6
  * Rename debian/patches/port_to_firefox5.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Bump maxVersion to 6.0.*
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -std=gnu++0x on Natty and newer
    - update debian/rules

7577bde... by Chris Coulson on 2011-05-24

Import patches-unapplied version 1.9.0~svn20101114r3591-0ubuntu4 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 14bc6aa26c89791ed5674e671e925714527d0fd9

New changelog entries:
  * Drop some of the changes from the last upload, as firefox-dev is
    equivalent to xulrunner-dev now
    - update debian/rules to not set XULRUNNER_SDK_DIR
    - update debian/patches/fix_sdk_build.patch to set XULRUNNER_SDK_DIR
      using pkg-config in Makefile.xulrunner
    - update debian/patches/port_to_xulrunner-192.patch to use libxul.pc
      rather than firefox-plugin.pc, and drop the list of linked libs
  * Rename port_to_xulrunner-192.patch to port_to_firefox5.patch and merge
    increase_max_ff_version.patch in to it
  * Update port_to_firefox5.patch because of changes to mozISpellCheckingEngine
    in Firefox 5

14bc6aa... by Martin Pitt on 2011-03-24

Import patches-unapplied version 1.9.0~svn20101114r3591-0ubuntu3 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 503e5fcd68545fab106e247e54d0c81840424bd2

New changelog entries:
  * debian/control: Drop hopelessly outdated Vcs-Bzr, using
    lp:ubuntu/mozvoikko now.
  * debian/control: Move from xulrunner-dev to firefox-dev, as the former will
    go away. (LP: #740815)
  * debian/rules: Update path to firefox SDK, using pkg-config.
  * fix_sdk_build.patch: Update path to xpidl.
  * port_to_xulrunner-192.patch: Use firefox-plugin pkg-config, not libxul.
  * port_to_xulrunner-192.patch: Add -fshort-char to fix the "error: size of
    array ‘arg’ is negative" error. libxul's pkg-config did that for us in the
    past. Also define the linked libraries manually, as firefox-plugin.pc does
    not currently give that to us.

503e5fc... by Heikki Mäntysaari on 2011-02-11

Import patches-unapplied version 1.9.0~svn20101114r3591-0ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: adb16a5c6603c74f9f92d0a0355d1e56864a87d2

New changelog entries:
  [ Heikki Mäntysaari <email address hidden> ]
  * Increase maximum Firefox version to 4.1a1. Closes LP: #715200
    - add debian/patches/increase_max_ff_version.patch
  [ Micah Gersten <email address hidden> ]
  * Make maximum Firefox version 4.0.* to be consistent with other extensions
    - update debian/patches/increase_max_ff_version.patch